/**
  ******************************************************************************
  * @file    vk1625.h 
  * @author  kevin_guo
  * @version V1.2
  * @date    05-17-2020
  * @brief   Header files for Vk1625
  ******************************************************************************
  * @attention
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __VK1625_H
#define __VK1625_H

/* Includes ------------------------------------------------------------------*/
//˰ļݿͻƬӦ޸
#include "M451Series.h"
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/
//
#define OSC_OFF    	0x00         				// ر
#define OSC_ON    	0x01         				// 
#define DISP_OFF 		0x02								// LCD Bias
#define DISP_ON   	0x03         				// LCD Bias
//չùܿδܽţرտɽ͹
#define TIMER_DIS   0x04         				// 
#define WDT_DIS   	0x05         				// 
#define BUZZ_OFF  	0x08         				// رշ 
#define BUZZ_ON   	0X09         				// 
#define BUZZ_4KHZ 	0x40//0B01000000   	//   4k
#define BUZZ_2KHZ 	0x60//0B01100000  	//   2k
#define RC32K  			0X18         				// 
#define IRQ_DIS  		0X80        				// 

//seg
#define 	VK1625_SEGNUM		64

//¹ܽøݿͻƬӦ޸ 
#define VK1625_CS_PIN         BIT12
#define VK1625_CS_PORT        PA
#define VK1625_CS_IO          PA12

#define VK1625_RD_PIN         BIT14
#define VK1625_RD_PORT        PA
#define VK1625_RD_IO          PA14

#define VK1625_WR_PIN         BIT13
#define VK1625_WR_PORT        PA
#define VK1625_WR_IO          PA13

#define VK1625_DAT_PIN        BIT15
#define VK1625_DAT_PORT       PA
#define VK1625_DAT_IO         PA15

//¹ܽݿͻƬӦ޸
#define VK1625_CS_H() 				VK1625_CS_IO = 1 	//CS͸ߵƽ
#define VK1625_CS_L() 				VK1625_CS_IO = 0 	//CS͵͵ƽ 

#define VK1625_RD_H() 				VK1625_RD_IO = 1 	//RD͸ߵƽ 
#define VK1625_RD_L() 				VK1625_RD_IO = 0 	//RD͵͵ƽ 

#define VK1625_WR_H() 				VK1625_WR_IO = 1 	//WR͸ߵƽ 
#define VK1625_WR_L() 				VK1625_WR_IO = 0 	//WR͵͵ƽ 

#define VK1625_DATA_H() 			VK1625_DAT_IO = 1 //WR͸ߵƽ 
#define VK1625_DATA_L() 			VK1625_DAT_IO = 0 //WR͵͵ƽ 
/* Exported functions ------------------------------------------------------- */
void Vk1625_Init(void);
void Vk1625_DisAll(unsigned char dat);
void Vk1625_DisSegComOn(unsigned char seg,unsigned char com);
void Vk1625_DisSegComOff(unsigned char seg,unsigned char com);

void Vk1625_Main(void);
#endif  /*__VK1625_H*/

/************************END OF FILE****/
